Bug 1296060 (CVE-2016-1714) - CVE-2016-1714 Qemu: nvram: OOB r/w access in processing firmware configurations
Summary: CVE-2016-1714 Qemu: nvram: OOB r/w access in processing firmware configurations
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2016-1714
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1296080 1298045 1298046 1298047 1298048 1298049 1298050 1298051 1298052 1298385 1298433 1298434 1298435 1298436
Blocks: 1295739 1298460
TreeView+ depends on / blocked
 
Reported: 2016-01-06 10:03 UTC by Prasad J Pandit
Modified: 2019-09-29 13:41 UTC (History)
41 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
An out-of-bounds read/write flaw was discovered in the way QEMU's Firmware Configuration device emulation processed certain firmware configurations. A privileged (CAP_SYS_RAWIO) guest user could use this flaw to crash the QEMU process instance or, potentially, execute arbitrary code on the host with privileges of the QEMU process.
Clone Of:
Environment:
Last Closed: 2016-01-28 20:34:24 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2016:0081 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:40:45 UTC
Red Hat Product Errata RHSA-2016:0082 normal SHIPPED_LIVE Important: qemu-kvm security update 2016-01-28 20:40:36 UTC
Red Hat Product Errata RHSA-2016:0083 normal SHIPPED_LIVE Important: qemu-kvm security and bug fix update 2016-01-28 21:13:53 UTC
Red Hat Product Errata RHSA-2016:0084 normal SHIPPED_LIVE Important: qemu-kvm-rhev security and bug fix update 2016-01-28 20:56:05 UTC
Red Hat Product Errata RHSA-2016:0085 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:57 UTC
Red Hat Product Errata RHSA-2016:0086 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:50 UTC
Red Hat Product Errata RHSA-2016:0087 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:43 UTC
Red Hat Product Errata RHSA-2016:0088 normal SHIPPED_LIVE Important: qemu-kvm-rhev security update 2016-01-28 20:55:36 UTC

Description Prasad J Pandit 2016-01-06 10:03:36 UTC
Qemu emulator built with the Firmware Configuration device emulation support is
vulnerable to an OOB r/w access issue. It could occur while processing firmware
configurations, if the current configuration entry value was set to be
invalid(FW_CFG_INVALID=0xffff).

A privileged(CAP_SYS_RAWIO) user/process inside guest could use this flaw to
crash the Qemu process instance resulting in DoS OR potentially execute
arbitrary code with privileges of the Qemu process on the host.

Upstream fix:
-------------
  -> https://lists.gnu.org/archive/html/qemu-devel/2016-01/msg00428.html

Reference:
----------
  -> http://www.openwall.com/lists/oss-security/2016/01/12/10

Comment 1 Prasad J Pandit 2016-01-06 10:07:58 UTC
Created xen tracking bugs for this issue:

Affects: fedora-all [bug 1296080]

Comment 3 Prasad J Pandit 2016-01-07 06:44:13 UTC
Acknowledgement:

Red Hat would like to thank Donghai Zhu of Alibaba for reporting this issue.

Comment 9 errata-xmlrpc 2016-01-28 15:41:04 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2016:0082 https://rhn.redhat.com/errata/RHSA-2016-0082.html

Comment 10 errata-xmlrpc 2016-01-28 15:42:15 UTC
This issue has been addressed in the following products:

  RHEV-H and Agents for RHEL-6

Via RHSA-2016:0081 https://rhn.redhat.com/errata/RHSA-2016-0081.html

Comment 11 errata-xmlrpc 2016-01-28 15:56:41 UTC
This issue has been addressed in the following products:

  OpenStack 7 For RHEL 7

Via RHSA-2016:0088 https://rhn.redhat.com/errata/RHSA-2016-0088.html

Comment 12 errata-xmlrpc 2016-01-28 15:57:59 UTC
This issue has been addressed in the following products:

  OpenStack 6 for RHEL 7

Via RHSA-2016:0087 https://rhn.redhat.com/errata/RHSA-2016-0087.html

Comment 13 errata-xmlrpc 2016-01-28 15:59:24 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 7

Via RHSA-2016:0086 https://rhn.redhat.com/errata/RHSA-2016-0086.html

Comment 14 errata-xmlrpc 2016-01-28 16:00:30 UTC
This issue has been addressed in the following products:

  OpenStack 5 for RHEL 6

Via RHSA-2016:0085 https://rhn.redhat.com/errata/RHSA-2016-0085.html

Comment 15 errata-xmlrpc 2016-01-28 16:02:24 UTC
This issue has been addressed in the following products:

  RHEV 3.6 For IBM Power Systems
  RHEV-H and Agents for RHEL-7

Via RHSA-2016:0084 https://rhn.redhat.com/errata/RHSA-2016-0084.html

Comment 16 errata-xmlrpc 2016-01-28 16:14:38 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2016:0083 https://rhn.redhat.com/errata/RHSA-2016-0083.html

Comment 17 Fedora Update System 2016-03-19 21:22:02 UTC
xen-4.5.2-9.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2016-03-20 02:25:52 UTC
xen-4.5.2-9.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.